Patchwork kernel,cml1.bbclass: Move menuconfig to cml1

login
register
mail settings
Submitter Noor Ahsan
Date July 29, 2011, 8:03 p.m.
Message ID <989A078976CDAD4CB2DC976EEF70E2A50669CBBB@eu2-mail.mgc.mentorg.com>
Download mbox | patch
Permalink /patch/8885/
State New, archived
Headers show

Comments

Noor Ahsan - July 29, 2011, 8:03 p.m.
* The menuconfig target exists in places other than the kernel that use
kernel style config.

Signed-off-by: Noor, Ahsan <noor_ahsan@mentor.com>
---
 meta/classes/cml1.bbclass   |   12 ++++++++++++
 meta/classes/kernel.bbclass |   15 ---------------
 2 files changed, 12 insertions(+), 15 deletions(-)

/${KERNEL_IMAGEDEST}/${KERNEL_IMAGETYPE} ${KERNEL_IMAGETYPE}
${KERNEL_IMAGETYPE}-${KERNEL_VERSION} ${KERNEL_PRIORITY} || true
 }
Andrea Adami - July 30, 2011, 1:07 p.m.
On Fri, Jul 29, 2011 at 10:03 PM, Ahsan, Noor <Noor_Ahsan@mentor.com> wrote:
> * The menuconfig target exists in places other than the kernel that use
> kernel style config.
>
> Signed-off-by: Noor, Ahsan <noor_ahsan@mentor.com>
> ---
>  meta/classes/cml1.bbclass   |   12 ++++++++++++
>  meta/classes/kernel.bbclass |   15 ---------------
>  2 files changed, 12 insertions(+), 15 deletions(-)
>
> diff --git a/meta/classes/cml1.bbclass b/meta/classes/cml1.bbclass
> index 79218b4..a747af5 100644
> --- a/meta/classes/cml1.bbclass
> +++ b/meta/classes/cml1.bbclass
> @@ -6,3 +6,15 @@ cml1_do_configure() {
>
>  EXPORT_FUNCTIONS do_configure
>  addtask configure after do_unpack do_patch before do_compile
> +
> +do_menuconfig() {
> +       export TERMWINDOWTITLE="${PN} Configuration"
> +       export SHELLCMDS="make menuconfig"
> +       ${TERMCMDRUN}
> +       if [ $? -ne 0 ]; then
> +               oefatal "'${TERMCMD}' not found. Check TERMCMD
> variable."
> +       fi
> +}
> +do_menuconfig[nostamp] = "1"
> +addtask menuconfig after do_configure
> +
> diff --git a/meta/classes/kernel.bbclass b/meta/classes/kernel.bbclass
> index 9c492a3..25d2629 100644
> --- a/meta/classes/kernel.bbclass
> +++ b/meta/classes/kernel.bbclass
> @@ -197,21 +197,6 @@ kernel_do_configure() {
>
>  do_configure[depends] += "${INITRAMFS_TASK}"
>
> -do_menuconfig() {
> -        export DISPLAY='${DISPLAY}'
> -        export DBUS_SESSION_BUS_ADDRESS='${DBUS_SESSION_BUS_ADDRESS}'
> -        export XAUTHORITY='${XAUTHORITY}'
> -       export TERMWINDOWTITLE="${PN} Kernel Configuration"
> -       export SHELLCMDS="make menuconfig"
> -       ${TERMCMDRUN}
> -       if [ $? -ne 0 ]; then
> -               echo "Fatal: '${TERMCMD}' not found. Check TERMCMD
> variable."
> -               exit 1
> -       fi
> -}
> -do_menuconfig[nostamp] = "1"
> -addtask menuconfig after do_configure
> -
>  pkg_postinst_kernel () {
>        cd /${KERNEL_IMAGEDEST}; update-alternatives --install
> /${KERNEL_IMAGEDEST}/${KERNEL_IMAGETYPE} ${KERNEL_IMAGETYPE}
> ${KERNEL_IMAGETYPE}-${KERNEL_VERSION} ${KERNEL_PRIORITY} || true
>  }
> --
> 1.7.0.4
>
>
> _______________________________________________
> Openembedded-core mailing list
> Openembedded-core@lists.openembedded.org
> http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/openembedded-core
>

While you're doing that, please think about adding the following task:

+do_savedefconfig() {
+       oe_runmake savedefconfig
+}
+
+addtask savedefconfig after do_configure

It is very handy way to shrink kernel defconfigs and minimize the diffs.

Regards

Andrea
Noor Ahsan - Aug. 1, 2011, 5:54 p.m.
Hi Andrea,

I'll send its separate patch.

Regards,
Noor

-----Original Message-----
From: openembedded-core-bounces@lists.openembedded.org [mailto:openembedded-core-bounces@lists.openembedded.org] On Behalf Of Andrea Adami
Sent: Saturday, July 30, 2011 6:08 PM
To: Patches and discussions about the oe-core layer
Subject: Re: [OE-core] [PATCH] kernel,cml1.bbclass: Move menuconfig to cml1

On Fri, Jul 29, 2011 at 10:03 PM, Ahsan, Noor <Noor_Ahsan@mentor.com> wrote:
> * The menuconfig target exists in places other than the kernel that use
> kernel style config.
>
> Signed-off-by: Noor, Ahsan <noor_ahsan@mentor.com>
> ---
>  meta/classes/cml1.bbclass   |   12 ++++++++++++
>  meta/classes/kernel.bbclass |   15 ---------------
>  2 files changed, 12 insertions(+), 15 deletions(-)
>
> diff --git a/meta/classes/cml1.bbclass b/meta/classes/cml1.bbclass
> index 79218b4..a747af5 100644
> --- a/meta/classes/cml1.bbclass
> +++ b/meta/classes/cml1.bbclass
> @@ -6,3 +6,15 @@ cml1_do_configure() {
>
>  EXPORT_FUNCTIONS do_configure
>  addtask configure after do_unpack do_patch before do_compile
> +
> +do_menuconfig() {
> +       export TERMWINDOWTITLE="${PN} Configuration"
> +       export SHELLCMDS="make menuconfig"
> +       ${TERMCMDRUN}
> +       if [ $? -ne 0 ]; then
> +               oefatal "'${TERMCMD}' not found. Check TERMCMD
> variable."
> +       fi
> +}
> +do_menuconfig[nostamp] = "1"
> +addtask menuconfig after do_configure
> +
> diff --git a/meta/classes/kernel.bbclass b/meta/classes/kernel.bbclass
> index 9c492a3..25d2629 100644
> --- a/meta/classes/kernel.bbclass
> +++ b/meta/classes/kernel.bbclass
> @@ -197,21 +197,6 @@ kernel_do_configure() {
>
>  do_configure[depends] += "${INITRAMFS_TASK}"
>
> -do_menuconfig() {
> -        export DISPLAY='${DISPLAY}'
> -        export DBUS_SESSION_BUS_ADDRESS='${DBUS_SESSION_BUS_ADDRESS}'
> -        export XAUTHORITY='${XAUTHORITY}'
> -       export TERMWINDOWTITLE="${PN} Kernel Configuration"
> -       export SHELLCMDS="make menuconfig"
> -       ${TERMCMDRUN}
> -       if [ $? -ne 0 ]; then
> -               echo "Fatal: '${TERMCMD}' not found. Check TERMCMD
> variable."
> -               exit 1
> -       fi
> -}
> -do_menuconfig[nostamp] = "1"
> -addtask menuconfig after do_configure
> -
>  pkg_postinst_kernel () {
>        cd /${KERNEL_IMAGEDEST}; update-alternatives --install
> /${KERNEL_IMAGEDEST}/${KERNEL_IMAGETYPE} ${KERNEL_IMAGETYPE}
> ${KERNEL_IMAGETYPE}-${KERNEL_VERSION} ${KERNEL_PRIORITY} || true
>  }
> --
> 1.7.0.4
>
>
> _______________________________________________
> Openembedded-core mailing list
> Openembedded-core@lists.openembedded.org
> http://lists.linuxtogo.org/cgi-bin/mailman/listinfo/openembedded-core
>

While you're doing that, please think about adding the following task:

+do_savedefconfig() {
+       oe_runmake savedefconfig
+}
+
+addtask savedefconfig after do_configure

It is very handy way to shrink kernel defconfigs and minimize the diffs.

Regards

Andrea

Patch

diff --git a/meta/classes/cml1.bbclass b/meta/classes/cml1.bbclass
index 79218b4..a747af5 100644
--- a/meta/classes/cml1.bbclass
+++ b/meta/classes/cml1.bbclass
@@ -6,3 +6,15 @@  cml1_do_configure() {
 
 EXPORT_FUNCTIONS do_configure
 addtask configure after do_unpack do_patch before do_compile
+
+do_menuconfig() {
+	export TERMWINDOWTITLE="${PN} Configuration"
+	export SHELLCMDS="make menuconfig"
+	${TERMCMDRUN}
+	if [ $? -ne 0 ]; then
+		oefatal "'${TERMCMD}' not found. Check TERMCMD
variable."
+	fi
+}
+do_menuconfig[nostamp] = "1"
+addtask menuconfig after do_configure
+
diff --git a/meta/classes/kernel.bbclass b/meta/classes/kernel.bbclass
index 9c492a3..25d2629 100644
--- a/meta/classes/kernel.bbclass
+++ b/meta/classes/kernel.bbclass
@@ -197,21 +197,6 @@  kernel_do_configure() {
 
 do_configure[depends] += "${INITRAMFS_TASK}"
 
-do_menuconfig() {
-        export DISPLAY='${DISPLAY}'
-        export DBUS_SESSION_BUS_ADDRESS='${DBUS_SESSION_BUS_ADDRESS}'
-        export XAUTHORITY='${XAUTHORITY}'
-	export TERMWINDOWTITLE="${PN} Kernel Configuration"
-	export SHELLCMDS="make menuconfig"
-	${TERMCMDRUN}
-	if [ $? -ne 0 ]; then
-		echo "Fatal: '${TERMCMD}' not found. Check TERMCMD
variable."
-		exit 1
-	fi
-}
-do_menuconfig[nostamp] = "1"
-addtask menuconfig after do_configure
-
 pkg_postinst_kernel () {
 	cd /${KERNEL_IMAGEDEST}; update-alternatives --install